Loading...
Searching...
No Matches
XrdSysThreadArgs Struct Reference
Collaboration diagram for XrdSysThreadArgs:

## Public Member Functions

| XrdSysThreadArgs (XrdSysError *ed, const char *td, void *(*p)(void *), void *a)
| ~XrdSysThreadArgs ()

## Public Attributes

void * | arg
XrdSysError * | eDest
void *(* | proc )(void *)
const char * | tDesc

## Detailed Description

Definition at line 52 of file XrdSysPthread.cc.

## Constructor & Destructor Documentation

## XrdSysThreadArgs()

XrdSysThreadArgs::XrdSysThreadArgs | ( | XrdSysError * | ed,
|  | const char * | td,
|  | void *(* | p )(void *),
|  | void * | a )

inline

Definition at line 59 of file XrdSysPthread.cc.

: eDest(ed), tDesc(td), proc(p), arg(a) {}
XrdSysThreadArgs::eDest
XrdSysError * eDest
Definition XrdSysPthread.cc:54
XrdSysThreadArgs::tDesc
const char * tDesc
Definition XrdSysPthread.cc:55
XrdSysThreadArgs::arg
void * arg
Definition XrdSysPthread.cc:57
XrdSysThreadArgs::proc
void *(* proc)(void *)
Definition XrdSysPthread.cc:56

References arg, eDest, proc, and tDesc.

## ~XrdSysThreadArgs()

XrdSysThreadArgs::~XrdSysThreadArgs | ( |  | ) |

inline

Definition at line 62 of file XrdSysPthread.cc.

{}

## Member Data Documentation

## arg

void* XrdSysThreadArgs::arg

Definition at line 57 of file XrdSysPthread.cc.

Referenced by XrdSysThreadArgs(), and XrdSysThread_Xeq().

## eDest

XrdSysError* XrdSysThreadArgs::eDest

Definition at line 54 of file XrdSysPthread.cc.

Referenced by XrdSysThreadArgs(), and XrdSysThread_Xeq().

## proc

void *(* XrdSysThreadArgs::proc) (void *)

Definition at line 56 of file XrdSysPthread.cc.

Referenced by XrdSysThreadArgs(), and XrdSysThread_Xeq().

## tDesc

const char* XrdSysThreadArgs::tDesc

Definition at line 55 of file XrdSysPthread.cc.

Referenced by XrdSysThreadArgs(), and XrdSysThread_Xeq().

The documentation for this struct was generated from the following file:

- XrdSysPthread.cc